# std::list<T,Allocator>::end, std::list<T,Allocator>::cend

From cppreference.com
< cpp‎ | container‎ | list

iterator end(); |  | (until C++11)
iterator end() noexcept; |  | (since C++11)
const_iterator end() const; |  | (until C++11)
const_iterator end() const noexcept; |  | (since C++11)
const_iterator cend() const noexcept; |  | (since C++11)

Returns an iterator to the element following the last element of the container.

This element acts as a placeholder; attempting to access it results in undefined behavior.

### Parameters

(none)

### Return value

Iterator to the element following the last element.

### Complexity

Constant.

### See also

begin cbegin | returns an iterator to the beginning (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/list/end&oldid=50524"